<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus FTP Client API</title>
    <filename>main</filename>
    <docanchor file="main">globus_ftp_client_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_activation</name>
    <title>Activation</title>
    <filename>group__globus__ftp__client__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_MODULE</name>
      <anchorfile>group__globus__ftp__client__activation.html</anchorfile>
      <anchor>gafad292f70aeba0451e27a6c1cdf5a831</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_marker</name>
    <title>Restart Markers</title>
    <filename>group__globus__ftp__client__restart__marker.html</filename>
    <class kind="union">globus_ftp_client_restart_marker_t</class>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_init</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>ga8dd8fe0ed3573611fdb06ed56c3c0061</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_copy</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>gaeb89ef456f67c2b9db1572bd9ff9b060</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *new_marker, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_destroy</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>ga9653b27ec8c1dde82022730848443778</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_insert_range</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>ga72a27b2f70d6c9346b8f98fcfabe3c94</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset, globus_off_t end_offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_set_ascii_offset</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>ga640155556c6ab6d4a438c5771e824153</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset, globus_off_t ascii_offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_set_offset</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>ga7e918848837403b0025f8b4fdfa6284b</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_get_total</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>gaffcfb3c4cddefde22124117faae51043</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t *total_bytes)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_to_string</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>ga74376b80855292e81bca5d4b85cb2664</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, char **marker_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_from_string</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>ga1815b87c414845789ff2c54efa71a77c</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, const char *marker_string)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_handle</name>
    <title>Handle Management</title>
    <filename>group__globus__ftp__client__handle.html</filename>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_handle_t *</type>
      <name>globus_ftp_client_handle_t</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>ga9d8a98c88d529ab539c2fedee545f172</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_init</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>ga571af4a23e8985f9b36e2df3320fdd1d</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_handleattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_destroy</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>gac40005934089e52e63d5588d53a468d6</anchor>
      <arglist>(globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_cache_url_state</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>ga49ebfa81faf91c86513565853ee67be9</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_flush_url_state</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>gaf05a75915388b3fea5352ca5916d46a0</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_set_user_pointer</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>ga6a5d89fc09d6a14ba6a21bea66f6dccf</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, void *user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_get_user_pointer</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>ga654a0a64b067d9812dfbb12f3ce4e432</anchor>
      <arglist>(const globus_ftp_client_handle_t *handle, void **user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_add_plugin</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>gad03aab00efba8184f9034b2b7655c2c6</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_remove_plugin</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>ga45839469104a73e39c626ce1e3848b9d</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_handleattr</name>
    <title>Handle Attributes</title>
    <filename>group__globus__ftp__client__handleattr.html</filename>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_handleattr_t *</type>
      <name>globus_ftp_client_handleattr_t</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gab4a1b9fd7b91ba74a5beb576ac3e307d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_init</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga55df5cb63ad06755dc9c707fb3b3197e</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_destroy</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga9241a8540f0d63abada0e8b34819303e</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_copy</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gac3ff5f312f1fe27e2cc2f4957e1f7839</anchor>
      <arglist>(globus_ftp_client_handleattr_t *dest, globus_ftp_client_handleattr_t *src)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_cache_all</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga3292d4dbbb78248594bb8133284644e6</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_bool_t cache_all)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_cache_all</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gae4c7066d66fda41c02961408c18076c2</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_bool_t *cache_all)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_rfc1738_url</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga375ad9f3973a2b0941ba2329fd24393e</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_bool_t rfc1738_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_rfc1738_url</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gaa0308167080fe2dbb9e5e9088348193e</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_bool_t *rfc1738_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_clientinfo</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gab74b321e6be17b2e75e4e746c177402a</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, const char *app_name, const char *app_version, const char *other)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_clientinfo</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga43de108c09716cc7f66f6af67591f6d7</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, char **app_name, char **app_version, char **other)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_gridftp2</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga0fa9f796498b99f940fa208a2e21d972</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_bool_t gridftp2)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_gridftp2</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gab570a1703a634e2bcd247530743511f9</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_bool_t *gridftp2)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_pipeline</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga185174b644976c44de8a3f1e24c3aa9d</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_size_t outstanding_commands, globus_ftp_client_pipeline_callback_t pipeline_callback, void *pipeline_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_pipeline</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga605ba6cb8bb4cf6899ea721f8185e91e</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_size_t *outstanding_commands, globus_ftp_client_pipeline_callback_t *pipeline_callback, void **pipeline_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_add_cached_url</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga654dcd09a9e551b0063c981cb15cec95</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_remove_cached_url</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga7f22ef06fdecfe65ae64709b7ef929d0</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_netlogger</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga9b7036d64d164ada56705d1edc71e98d</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_netlogger_handle_t *nl_handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_netlogger_ftp_io</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga95b7d4f10cb728411c54fe83c35e672c</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_netlogger_handle_t *nl_handle, globus_bool_t ftp, globus_bool_t io)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_add_plugin</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga77e24c2d75f9c847167179958fa28998</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_remove_plugin</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ga4ecb53ff8b985af31ad384f9ea5f31db</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_operations</name>
    <title>FTP Operations</title>
    <filename>group__globus__ftp__client__operations.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_complete_callback_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga395e0e9dbb22bf3d4c81223b58f2b749</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_features_s *</type>
      <name>globus_ftp_client_features_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga7c3c6c7e81300251f055ee783d105bdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_tristate_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gae52d1000b926bae6436d61aeeaf68803</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_probed_feature_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga51ebf6e3cc1c40e87193b8416cbf19dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_machine_list</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga851bdcb0bca0928ba69af638d9e8802d</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_exists</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga59d8fb30909efd7060504679b176e0f0</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_features_init</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gadbefc4babee95c4e0d2ed3b8f359dba6</anchor>
      <arglist>(globus_ftp_client_features_t *u_features)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_features_destroy</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gafa40b5e9a22464719214725009dbffd3</anchor>
      <arglist>(globus_ftp_client_features_t *u_features)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_feat</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga764549c6bd3034fe3e163a8a16683bf8</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_features_t *u_features, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_is_feature_supported</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga7ea2785b4aec136fd44896e987b3091c</anchor>
      <arglist>(const globus_ftp_client_features_t *u_features, globus_ftp_client_tristate_t *answer, globus_ftp_client_probed_feature_t feature)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_mkdir</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga4b57d5aca86af0ac836b7855268d06f0</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_rmdir</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga7c9e7a6bdfc765ba45c454466606519a</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_delete</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gada6998846e4248e2a18e321e07e00dc1</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_list</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga5fa70baff2a6fc9e90f30e19f8104027</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_verbose_list</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga65cec516fcfc8b3e267f73dd31616db9</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_stat</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gaddbb4ccbda05f791bed0014183585245</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_byte_t **stat_buffer, globus_size_t *stat_buffer_length, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_mlst</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gab2a3d5c6d964108b21705c9943088e20</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_byte_t **mlst_buffer, globus_size_t *mlst_buffer_length, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_move</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga60503e21cbd98a5e5f938fee355904c1</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *source_url, const char *dest_url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_chmod</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gab1408701532e2397c9206f6b92885811</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, int mode, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_get</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga6fe365dd2dfac6da159ff389e1f76a9b</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_partial_get</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gab2632967419fb566d6cf5b26cf0bbeb2</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_off_t partial_offset, globus_off_t partial_end_offset, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_extended_get</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gaf0cbdd77ea0cbecf2b8f51ef1e6aec04</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, const char *eret_alg_str, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_put</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gab5ea9958c3f649258c25cae5d4e847f1</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_partial_put</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga35ba972b1faac5d9b5c62f3413f1282e</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_off_t partial_offset, globus_off_t partial_end_offset, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_extended_put</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga269a4635be32807146d05817987429a3</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, const char *esto_alg_str, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_third_party_transfer</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga6a54cd75d80d657de8787aaae5eeed19</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, globus_ftp_client_operationattr_t *source_attr, const char *dest_url, globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_partial_third_party_transfer</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga930ea54b04772e6fac93d4001daf4b5e</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, globus_ftp_client_operationattr_t *source_attr, const char *dest_url, globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart, globus_off_t partial_offset, globus_off_t partial_end_offset, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_extended_third_party_transfer</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gabfe92d86d671664178b524ebba55bd1b</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, globus_ftp_client_operationattr_t *source_attr, const char *eret_alg_str, const char *dest_url, globus_ftp_client_operationattr_t *dest_attr, const char *esto_alg_str, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_modification_time</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga6d805fe57c2274594515fa27d9f4a047</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_abstime_t *modification_time, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_size</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga1735fe602111ab0e3ce24ed8fb51d932</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_off_t *size, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_cksm</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga044c9c3145212f2d2328a013a53c03d7</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, char *cksm, globus_off_t offset, globus_off_t length, const char *algorithm, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_abort</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gaf4ec9fabaa624d60eb1ad821e0cc1b3a</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_operationattr</name>
    <title>FTP Operation Attributes</title>
    <filename>group__globus__ftp__client__operationattr.html</filename>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_operationattr_t *</type>
      <name>globus_ftp_client_operationattr_t</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga71207b29c31268b27e52b4cbd6d71224</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_init</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga58c557691a517df8f518fbb2f87c20cb</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_destroy</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga37233249167d613abc67ad9479d2d865</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_delayed_pasv</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga1af578d3be505a90222c51f717679d5a</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t delayed_pasv)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_copy</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gac0bd3a26ef1ed82c9f73cead191a036e</anchor>
      <arglist>(globus_ftp_client_operationattr_t *dst, const globus_ftp_client_operationattr_t *src)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_storage_module</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gaecc49fa7cceb5bd6bd6b26e1669d126f</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *module_name, const char *module_args)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_storage_module</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga226a6b847b373c72664817ebfff897a8</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **module_name, char **module_args)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_net_stack</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga13a1a9f3a6e3e048a6d3e0e672b1e14e</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_net_stack</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga6b8233a9ad5d3008e55b0e805071b57e</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_disk_stack</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga70c7d23f8688624f1e1dc389e9e4da65</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_disk_stack</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga284c984f033fef6d1672cc28b55604b6</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_parallelism</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga056c61a11d15a8d9c0d49966ed2c6074</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_parallelism_t *parallelism)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_parallelism</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gacde50c01801f25ee60fb18332d5ffdec</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_parallelism_t *parallelism)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_allocate</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga42c4c142879e410113b004f2b6c87114</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_off_t allocated_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_allocate</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gaf66e69ae737d14ed0dd54ee0bb1b04f1</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_off_t *allocated_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_authz_assert</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga7e118e032807bbb85efb5180121b4dfd</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *authz_assert, globus_bool_t cache_authz_assert)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_authz_assert</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gaa883101a3f8ef5300a38e9b0393107ae</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **authz_assert, globus_bool_t *cache_authz_assert)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_striped</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga39a8dab894ff3a2f588c3c6cee3f9ee4</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t striped)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_striped</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga8b409bbfbd8901383899db62dce2fae3</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *striped)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_layout</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga12d21a353a163b8a79cb73210910b9a9</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_layout_t *layout)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_layout</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gab816c271775def7d5ba59f50cb2324a3</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_layout_t *layout)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_tcp_buffer</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga13da2f32b51f0ddb2fee8fa46c4ba687</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_tcpbuffer_t *tcp_buffer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_tcp_buffer</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gabd85bde9fc7e2c548a8b4e60397759c1</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_tcpbuffer_t *tcp_buffer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_type</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga56cc6a5739bf34f4e8009bf593c29ec8</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_type_t type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_type</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gabc5aef956edc14c8fae00f56c03d4caa</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_type_t *type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_mode</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga0c910be730c118fb94c59fa5413ac473</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_mode_t mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_mode</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gaebc4b4aac6423877cf6103e8362bda26</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_mode_t *mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_list_uses_data_mode</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gadf5c2be33fed9cc8bccd2fcbebe7b631</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t list_uses_data_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_list_uses_data_mode</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga64427e34206e6819579411b62db6fb86</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *list_uses_data_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_authorization</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gab4956e5e760967e67f24a7876fb5c080</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, gss_cred_id_t credential, const char *user, const char *password, const char *account, const char *subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_authorization</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga059c2d1e142835eb9908b526335de866</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, gss_cred_id_t *credential, char **user, char **password, char **account, char **subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_dcau</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gaddcb0aa9a283aad9bcb9e907be207448</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_dcau_t *dcau)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_dcau</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga18e5d13ad69e3baf4ef260d164eeba79</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_dcau_t *dcau)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_data_protection</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gaaa8b58b16d31f6eb2763cb5aa51e0cd5</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_data_protection</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga9de485a7f86fb010385477604ef4aaeb</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t *protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_control_protection</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga81934599f105369fae08ceb25b2eb9c1</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_control_protection</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga6394e039f13c01e75f59f78363ecd4e2</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t *protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_append</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga66a63b66640f2be96935c04bd68ca7f1</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t append)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_append</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gaee6235cf11c4dc051ad83187ff0c3d19</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *append)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_allow_ipv6</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga12aea1f98f18fdff713bdd778cd1791b</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t allow_ipv6)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_allow_ipv6</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga21f9a03cfb5b49d5eb1ed91b246be496</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *allow_ipv6)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_read_all</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga2095baf4619d706640d39d8ca64e1d3c</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t read_all, globus_ftp_client_data_callback_t intermediate_callback, void *intermediate_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_read_all</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ga559b7a12a1aa3efe04367e4268eaccae</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *read_all, globus_ftp_client_data_callback_t *intermediate_callback, void **intermediate_callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_data</name>
    <title>Reading and Writing Data</title>
    <filename>group__globus__ftp__client__data.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_data_callback_t</name>
      <anchorfile>group__globus__ftp__client__data.html</anchorfile>
      <anchor>gae67f55dd87feea379ae4726fcd116a08</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_register_read</name>
      <anchorfile>group__globus__ftp__client__data.html</anchorfile>
      <anchor>ga806808e7efb4cffad9e6d932751975c3</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_byte_t *buffer, globus_size_t buffer_length, globus_ftp_client_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_register_write</name>
      <anchorfile>group__globus__ftp__client__data.html</anchorfile>
      <anchor>gac3ff58b56d3cbd945381c5b9f9f0f3a5</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_byte_t *buffer, globus_size_t buffer_length, globus_off_t offset, globus_bool_t eof, globus_ftp_client_data_callback_t callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_debug_plugin</name>
    <title>Debugging Plugin</title>
    <filename>group__globus__ftp__client__debug__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_DEBUG_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__debug__plugin.html</anchorfile>
      <anchor>gac08270f82c3709f701f7772b9ab16c33</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_debug_plugin_init</name>
      <anchorfile>group__globus__ftp__client__debug__plugin.html</anchorfile>
      <anchor>ga0e9a937acc1cf4b22a67206722e287da</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, FILE *stream, const char *text)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_debug_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__debug__plugin.html</anchorfile>
      <anchor>ga1e4b52a42862184289a1f12a8104732d</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_perf_plugin</name>
    <title>Performance Marker Plugin</title>
    <filename>group__globus__ftp__client__perf__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_PERF_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>ga21e20d3507191cd32efdf13d2f62edf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_begin_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>ga6dfe3b17ecad5b7284c0bc41e114d022</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_marker_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>ga3c067bc859ba1fbb53e6d967dda59df9</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, long time_stamp_int, char time_stamp_tength, int stripe_ndx, int num_stripes, globus_off_t nbytes)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_complete_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gaac3f89baa125c2166313b5966169aff2</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_bool_t success)</arglist>
    </member>
    <member kind="typedef">
      <type>void *(*</type>
      <name>globus_ftp_client_perf_plugin_user_copy_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>ga74df3c43dee4951b78391f23159de4a0</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_user_destroy_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>ga4d137114fbb91030637fcde510428bac</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_init</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gaa4c215adf3098bf032db14c3a706c27a</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_perf_plugin_begin_cb_t begin_cb, globus_ftp_client_perf_plugin_marker_cb_t marker_cb, globus_ftp_client_perf_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_set_copy_destroy</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>ga57716b79e47fcf74db1cc3fbd426b133</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_perf_plugin_user_copy_cb_t copy_cb, globus_ftp_client_perf_plugin_user_destroy_cb_t destroy_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gacc35c67efb45dea8f5dd2e7307039b25</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_get_user_specific</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gad9445ba594953a0dfb8a12a8148b069d</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, void **user_specific)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_plugins</name>
    <title>Plugins</title>
    <filename>group__globus__ftp__client__plugins.html</filename>
    <subgroup>globus_ftp_client_debug_plugin</subgroup>
    <subgroup>globus_ftp_client_perf_plugin</subgroup>
    <subgroup>globus_ftp_client_restart_marker_plugin</subgroup>
    <subgroup>globus_ftp_client_restart_plugin</subgroup>
    <subgroup>globus_ftp_client_throughput_nl_plugin</subgroup>
    <subgroup>globus_ftp_client_throughput_plugin</subgroup>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_plugin_t *</type>
      <name>globus_ftp_client_plugin_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gafd650bbeee4bf50b94275d89352697dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_client_plugin_t *(*</type>
      <name>globus_ftp_client_plugin_copy_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaa1063f0ada2846eed3e7c209c467b333</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin_template, void *plugin_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_destroy_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga12bd0b713a48c1a90a8b432e7710fd14</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_connect_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga2ffad2a5069aaf467d0caf534d46da78</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_authenticate_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaf52ec4aacee7cd1e10ff5a061f9c39a3</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_control_auth_info_t *auth_info)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_chmod_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gab3aa529572c947577798fafbc62347bb</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, int mode, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_cksm_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gae8b05da04bb0f1daf1c02571b121e9b0</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_off_t offset, globus_off_t length, const char *algorithm, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_delete_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaa4ef12657374f961eccfef2603082360</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_feat_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gadee692c1aa851711b0033b65c04ad3c4</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_mkdir_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga910b99bed09d89af8635789f1f61aa2d</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_rmdir_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gae4c51c05bc88d6d2e82720b671a555d2</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_list_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga68008b0f0e7f0e860b7b88827ba8c5eb</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_verbose_list_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gafbdacf5114a4bba0e8bfbed83e4f5c8e</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_machine_list_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaa79eca258a887e8a3e22ff10a3493e65</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_mlst_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga0d0cbaa306af4eab54839403d2c8c3a9</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_stat_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga641bfd78a9fb19a17788e3ff70d3b62d</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_move_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaa825b62035e2a9e7a82a084dcd28042f</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_get_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gad05f08b66c61667b72f4e44727452c4b</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_put_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga2f9ee1d87d1874300ffdda8cf20ecc82</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_third_party_transfer_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gabcbfe1e197253b633181a4a2b227548d</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *source_url, const globus_ftp_client_operationattr_t *source_attr, const char *dest_url, const globus_ftp_client_operationattr_t *dest_attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_modification_time_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga8b3f1cc76e5dc8102c6c4650d5394938</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_size_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga02e7a387de4956d334d5b523fe0bc645</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_abort_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gad503123448bbc72918b8c45d4b1bf670</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_read_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga8fdb9944984d00ac533c2265c81268d3</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const globus_byte_t *buffer, globus_size_t buffer_length)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_write_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga9145e67235ecb6f9a47571a8460d84a0</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const globus_byte_t *buffer, globus_size_t buffer_length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_data_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaa75bb52aabbdc1dc2a4d262aa23cc8fc</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, globus_object_t *error, const globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_command_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gae68f94b07e743807c7046dd8e27737e4</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const char *command)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_response_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga74af8f8ef0dad0ed0b590809c3c867e9</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_object_t *error, const globus_ftp_control_response_t *ftp_response)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_fault_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga0cfe4a2c876054e7e87f19dac25e6c45</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_complete_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga69c5c6996793f08a00aec1d0a459d489</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_plugin_command_mask_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga3a2339a2213742216f3ebb3b1a38c219</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_CONTROL_ESTABLISHMENT</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gga3a2339a2213742216f3ebb3b1a38c219a6c6e590465519f7204237b865817dad1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_DATA_ESTABLISHMENT</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gga3a2339a2213742216f3ebb3b1a38c219a25f583eeccf4ee671a158176df5d1b6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_TRANSFER_PARAMETERS</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gga3a2339a2213742216f3ebb3b1a38c219a43a85f9d26ee85bd52765829ac0f4d69</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_TRANSFER_MODIFIERS</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gga3a2339a2213742216f3ebb3b1a38c219a0bd20495afc23eef8d56feffd24c501f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_FILE_ACTIONS</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gga3a2339a2213742216f3ebb3b1a38c219afa4dda7dad9bd75aa17b6d0c4e919c42</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_INFORMATION</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gga3a2339a2213742216f3ebb3b1a38c219a802c5efa7044030b81aa6b8748347c0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_MISC</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gga3a2339a2213742216f3ebb3b1a38c219a6afecdef13d4c06f913de440f2fc2675</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_BUFFER</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gga3a2339a2213742216f3ebb3b1a38c219a0657e551fad686734548558da125dfa5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_ALL</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gga3a2339a2213742216f3ebb3b1a38c219a73a57d6f2268824be2e307763f66a9aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_list</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gae21f20896af8d597bc35b21595a3c16c</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_verbose_list</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gad4fc65cc942f2ac143593ba186e1063a</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_machine_list</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga43872fdeb583852ddbc3adc5b9b43847</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_mlst</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gad5e503ca6acdc8edb37188e695508012</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_stat</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga487afdb2b11d28e8bf4ac69ffaf6c60f</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_chmod</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga10cb791dbdaae77957f5088bcb766c12</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, int mode, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_cksm</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gab30060d5eb1fa376659bd95dcffb4b19</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_off_t offset, globus_off_t length, const char *algorithm, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_delete</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga11863668a2368ebde4841cae3afb05e2</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_feat</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaad1c1fdf45f31a640360ff08e348127d</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_mkdir</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaedf21d52e71ce4ac902bdcd4ec2494d2</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_rmdir</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gacb764084f0039e86cf320c07a278c83d</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_move</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaec071567e01d0f461e72eec41ba97d4b</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_get</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga92053dba220bb6fafbe6e6170308fc49</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_put</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gaadbd94770f855309efe78ec046b2eb37</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_third_party_transfer</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga87338d1c3c3b50a5c2d4175bf0b5921c</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, const globus_ftp_client_operationattr_t *source_attr, const char *dest_url, const globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_size</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gad24eb13a34cab39e0c50d165a8ea14cd</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_modification_time</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga034eeab9c443fd3e62df62ea54f6a49e</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_get_marker</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga7c913431569954260ea71511e8df12dc</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_abort</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga2204d0cb34ea58c02d8e32c7671ef340</anchor>
      <arglist>(globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_add_data_channels</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gad67868bf042e014d59ea00fd22938a66</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, unsigned int num_channels, unsigned int stripe)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_remove_data_channels</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga197238252edb48664d9d7eb0b9e9b018</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, unsigned int num_channels, unsigned int stripe)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_marker_plugin</name>
    <title>Restart Marker Plugin</title>
    <filename>group__globus__ftp__client__restart__marker__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_RESTART_MARKER_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>ga70fd7e1b5ed78acae579dd310c20f76c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_bool_t(*</type>
      <name>globus_ftp_client_restart_marker_plugin_begin_cb_t</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>gaa670bf1c236a92a4f75bef894c008923</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, globus_ftp_client_restart_marker_t *user_saved_marker)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_restart_marker_plugin_marker_cb_t</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>ga02e6bd3db90bb04b810f7bce986bb3bb</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_restart_marker_plugin_complete_cb_t</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>ga46cf2cf0f044fd5bd506302303102121</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, const char *error_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_plugin_init</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>ga309a9c60e81dcaa9fef3ad8850fdce6c</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_restart_marker_plugin_begin_cb_t begin_cb, globus_ftp_client_restart_marker_plugin_marker_cb_t marker_cb, globus_ftp_client_restart_marker_plugin_complete_cb_t complete_cb, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>gaac93d2ca16d99bb903fef19434c37289</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_plugin</name>
    <title>Restart Plugin</title>
    <filename>group__globus__ftp__client__restart__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_RESTART_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__restart__plugin.html</anchorfile>
      <anchor>ga65c8a2548f1e4f4b004fcc58fbf7f87e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_plugin_init</name>
      <anchorfile>group__globus__ftp__client__restart__plugin.html</anchorfile>
      <anchor>ga2cfaf89ff36efe17ee30906e03347fc2</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, int max_retries, globus_reltime_t *interval, globus_abstime_t *deadline)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__restart__plugin.html</anchorfile>
      <anchor>ga50051ce7d4bfcb484f92a7a3c7ac3974</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_throughput_nl_plugin</name>
    <title>Netlogger Throughput Plugin</title>
    <filename>group__globus__ftp__client__throughput__nl__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_THROUGHPUT_NL_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>ga3b6e9de75bb2ecd40ed0a66f3865e3eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_init</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>ga2d41e7507ae4865762d1823255fc5d5c</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, const char *nl_url, const char *prog_name, const char *opaque_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_init_with_handle</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>gacb6c8cd12bdbb43336f0b05ad799786b</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, NLhandle *nl_handle, const char *opaque_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>ga1d80a39d6144c5f11e566f2a14509a9d</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_set_callbacks</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>ga2b1685629fccd0a4480e8ee6eba1c8bc</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_throughput_plugin</name>
    <title>Throughput Performance Plugin</title>
    <filename>group__globus__ftp__client__throughput__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_THROUGHPUT_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gabd79a3f5b7051bb6b4bee0d8d062d716</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_begin_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>ga635fcdcd8bc88682f974b6258665fa77</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_stripe_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gad3378988c81b09b07a56be73b81d7e39</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, int stripe_ndx, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_total_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>ga94697ba39253977f5edc0f616baa3f07</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_complete_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>ga41213a4cc3331fdd9ae607ecaeb35122</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_bool_t success)</arglist>
    </member>
    <member kind="typedef">
      <type>void *(*</type>
      <name>globus_ftp_client_throughput_plugin_user_copy_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gaee0d6a6086190474c8c752eeb5f58448</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_user_destroy_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gaf580100a8038cf8e54e15f8b5d484a7b</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_init</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>ga4c141499bfd91a76758fa558e6328a7e</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_set_copy_destroy</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>ga2bac7cad7c25297659548216b1d547d2</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_user_copy_cb_t copy_cb, globus_ftp_client_throughput_plugin_user_destroy_cb_t destroy_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gac1041b36437cb1401cf0e65c71246d84</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_get_user_specific</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gaf384442919d57f1420a29ec72fe3fc09</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, void **user_specific)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_client_restart_extended_block_t</name>
    <filename>structglobus__ftp__client__restart__extended__block__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_client_restart_marker_t</name>
    <filename>unionglobus__ftp__client__restart__marker__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_client_restart_stream_t</name>
    <filename>structglobus__ftp__client__restart__stream__t.html</filename>
  </compound>
</tagfile>
